Subject: Re: [Cellar] IETF work on FLAC (fwd) Josh Coalson: Re: IETF work on FLAC

From: Michael Richardson <[email-masked]>
Date: Tue, 23 Nov 2021 06:00:22 -0500

From: Josh Coalson  v0idstar at icloud dot com
Subject: Re: IETF work on FLAC
Date: Fri, 19 Nov 2021 08:43:19 -0800

I see. I’m fine with the same Xiph license (new BSD) that is used for the
libraries. Xiph is managing the publishing of the docs on their website
though; if an attestation from me is not enough, is there something to
coordinate with them?

Also, I don’t mind helping with the standard if you have any format-specific
questions along the way.

-Josh

> On Nov 13, 2021, at 11:53 AM, Michael Richardson <[email-masked]> wrote:
>
>
> Thank you for the reply!
>
> Josh Coalson <v0idstar at icloud dot com> wrote:
>> Hi Michael, I’m glad you were able to reach me. It should be no
>> problem. I’m not aware of compatible licenses; can you refer me to
>> license requirements or some example licenses used by similar projects?
>
> Alas, due to lack of universal/Bern-convention Trademark protections, the
> IETF has a non-free copyright on RFCs.  Basically, this keeps people from
> copying and modifying RFCs and claiming that the result is the original.
> It's stupid.  In countries with trademark protection, we'd simply trademark
> the names "RFCxxxx", but that doesn't work in a lot of non-G7 countries.
> The result is that RFCs are not-DFSG compatible, but I'm unable to change this.
>
> We need you to agree to dual-license the documentation text for flac under a
> BSD or MIT or Apache license.  Currently, it's under a GPL Documentation
> license.  Whomever brought the work (first uploaded it), didn't realize that
> there was a conflict.
>
> https://github.com/ietf-wg-cellar/flac-specification <https://github.com/ietf-wg-cellar/flac-specification>
>
> As a significant part of the original text is yours, we'd like to credit you
> as an author.  But, that doesn't have to involving doing much, as long as you
> are available during the final stages to confirm you haven't got any
> undeclared patents on the techniques.
>
> (If you don't want to agree to dual-license, then we have to start over and
> write text from scratch...)
>
>>> Hi, my name is Michael Richardson.
>>> I'm co-chair of the IETF CELLAR WG.
>>> https://datatracker.ietf.org/wg/cellar
>>>
>>> I'm trying to reach Josh Coalson about the copyright on the documentation to
>>> the FLAC encoder.
>>> A number of people of have tried to reach via xiph.org and failed.
>>>
>>> We specifically want to ask if you'll relicense the original document in a
>>> form that can be turned in an RFC.
>>> Also, if you'd like to be listed as a co-author.
>>>
>>>

--
Michael Richardson <[email-masked]>   . o O ( IPv6 IøT consulting )
           Sandelman Software Works Inc, Ottawa and Worldwide